{.comment | <!-- Define special:begin -->.}
{.set | pass | !clear .}
{.if | {.regexp|{.?room.};|{.get|accounts.};.}| {:{.set | room |{.?room.}.}:} .}
{.set | chatfile | %folder%chat_{.^room.}.txt .}
{.set | chattext | {.load|{.^chatfile.} .} .}
{.set| maxlength | 10240.}

{.comment | <!-- Limit Length of file and reset it when pass is given -->.}
{.if|{.length | {.^chattext.} .}>{.^maxlength.}|
  {. set | chattext |{.cut||{.div|{.^maxlength.}|2.}|{.^chattext.} .}/set.}
 /if.}
{.if|{.?text={.^pass.}.}|{:{.save | {.^chatfile.}|.}:}.}

{.comment | <!-- Save chat file on hard drive -->.}

{.if| {.and|{.?name.}|{.?text.}|{.not| {.?text={.^pass.}.}.}/and.} 
     |{: 
          {.set | chattext |</b>&gt; {.?text.}
{.^chattext.}.}
{.if | {.=|{.?name.}|%user%.}| {:{.set | chattext |&#8505;{.^chattext.}.}:} .}
          {.set | chattext |{.time.} --- <b>{.?name.}{.^chattext.}.}
          {.save | {.^chatfile.}|{.^chattext.} /save.}
      :}
/if.}

{. if | {.?delta.} | {:{.regexp|\r?\n|var=chattext|replace=<br>.}{.regexp|(.*){.?delta.}.*|var=chattext|replace=$1.}{.^chattext.}:} .}
{. if | {.?info.} | {.get account | {.?info.} | notes.} .}
{. if | {.?user.} | %user% .}
{.comment | {. if | {.and|{.?name.}|{.?text.}|{.not| {.?delta.}.}.} | message sent .}.}
{. if | {.?del.} | {:{.regexp|^\s?{.?del.} --- .*$\r?\n?|var=chattext|replace=.}{.save | {.^chatfile.}|{.^chattext.}.}:} .}